﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Infragistics.Web.UI.EditorControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(System.Object sender, System.EventArgs e)
    {
        this.WebMonthCalendar1.CustomDays.Clear();
        this.AddCustomDays();
    }
    private void AddCustomDays()
    {
        DateTime day = RandomDay();
        DateTime[] weeks = new DateTime[] { RandomDay(), RandomDay(),
             RandomDay(), RandomDay(),  RandomDay()};
        for (int i = 0; i < weeks.Length; i++)
            this.AddCustomWeek(weeks[i]);
    }
    private void AddCustomWeek(DateTime date)
    {
        for (int i = 0; i < 7; i++)
        {
            CalendarCustomDay day = new CalendarCustomDay(date);
            day.CssClass = "customCss";
            this.WebMonthCalendar1.CustomDays.Add(day);
            date = date.AddDays(1);
        }
    }

    DateTime RandomDay()
    {
        DateTime start = new DateTime(2012, 1, 1);
        Random gen = new Random();

        int range = ((TimeSpan)(new DateTime(2012, 5, 31) - start)).Days;
        return start.AddDays(gen.Next(range));
    }

}